Bug 1079672 - Insert image dialog inserts wrong image when double-clicking
Summary: Insert image dialog inserts wrong image when double-clicking
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Stahl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-22 21:28 UTC by Cristián Rojas
Modified: 2015-01-13 16:37 UTC (History)
6 users (show)

Fixed In Version: libreoffice-4.2.6.2-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-13 16:37:51 UTC


Attachments (Terms of Use)
Image of the bug. (120.41 KB, image/png)
2014-03-22 21:28 UTC, Cristián Rojas
no flags Details

Description Cristián Rojas 2014-03-22 21:28:27 UTC
Created attachment 877674 [details]
Image of the bug.

Description of problem:

When I edit a slide in Impress, and I want to insert an image in a section using the "insert image" function, regardless of what image I've selected, Impress inserts the first one (alphabetically) of the folder.

Version-Release number of selected component (if applicable):

Build ID: 4.2.2.1-7.fc20

Steps to Reproduce:
1. Create a new slide
2. Apply to it the "Title and 2 content" layout
3. Click on "Insert image"
4. Go to a folder that has more than one image
5. Try to insert anything but the first image

Actual results:

The image inserted is the first image

Expected results:

The image inserted should be the image I selected.

Comment 1 Michael Stahl 2014-08-07 13:40:00 UTC
... can reproduce it with gtk2 dialogs - have to double-click very
fast on a file that is not the current selected one; also "Preview"
must be enabled.

oh noes... what happens is that Impress actually uses the loaded
preview image of the dialog, and that is updated async from
a timer, so if you double-click the dialog closes before it
can display the new file, so you get the old one inserted...

fixed upstream master by commit:
f1589f768bbd1d8baea6e442f392831851bdbb3b

fixed upstream libreoffice-4-3 branch for 4.3.3 by commit:
cddfd33a3bea009394ec2b5c1cb94d09d8c40b23

fixed upstream libreoffice-4-2 branch for 4.2.7 by commit:
e1b57d025b0523479fe906f050c5639ad280b481

added patch to F20 package

Comment 2 Michael Stahl 2015-01-13 16:37:51 UTC
something was supposed to update this bug but didn't


Note You need to log in before you can comment on or make changes to this bug.